# -*- coding: utf-8 -*-
"""
Python OpenClip: XML Media Management Python Module
============================================================

``python-openclip`` is a python abstraction of the openclip XML media classification format.
It provides ORM-style access to "dotclip" data (file or generated) to make
the life of a python developer much easier.  This module is not meant to
be a complete solution but rather a stable and standardized component of
various other scripts, tools, guis, and software integrations.

License: **MIT License**.
"""

__version__="0.0.12"

__docformat__ = 'reStructuredText'

__name__ = 'openclip'

# logger relies on: constants
import logging
from logger import OpenClipLogger
LOG = OpenClipLogger().LOG

# constants relies on: exceptions, LOG, internal
import constants
__all__  = [ 'constants' ]

# const relies on: constants, exceptions, internal
from const import const, set_const


import core
from core import *
__all__.extend(core.__all__)

import elements
# from elements import *
# __all__.extend(elements.__all__)
__all__.append('elements')

import util
# from util import *
# __all__.extend(util.__all__)
__all__.append('util')

import exceptions
__all__.append('exceptions')
# from exceptions import *
# __all__.extend(exceptions.__all__)
